#ifndef ENUMERATOR_H_INCLUDED
#define ENUMERATOR_H_INCLUDED

#include <string>
#include <fstream>

struct EnorData
{
    std::string azonosito;
    int osszeg;

    friend std::istream& operator>>(std::istream &be, EnorData &data);
    friend std::ostream& operator<<(std::ostream &ki, const EnorData &data);
};

class Enumerator
{
private:
    std::ifstream torzs;
    std::ifstream modosito;

    EnorData egyenleg;
    EnorData tranzakcio;

public:
    enum Exceptions { HibasFajl };

    Enumerator(std::string torzsNev, std::string modositoNev);
    void First();
    void Next();
    EnorData Current() const;
    bool End() const;
};

#endif // ENUMERATOR_H_INCLUDED
